Skip to main content
GET
/
snapshots
List snapshots
curl --request GET \
  --url https://api.e2b.app/snapshots \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.e2b.app/snapshots"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.e2b.app/snapshots', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "snapshotID": "<string>",
    "names": [
      "<string>"
    ]
  }
]
{
  "code": 123,
  "message": "<string>"
}
{
  "code": 123,
  "message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Query Parameters

sandboxID
string

Filter snapshots by source sandbox ID

limit
integer<int32>
default:100

Maximum number of items to return per page

Required range: 1 <= x <= 100
nextToken
string

Cursor to start the list from

Response

Successfully returned snapshots

snapshotID
string
required

Identifier of the snapshot template including the tag. Uses namespace/alias when a name was provided (e.g. team-slug/my-snapshot:default), otherwise falls back to the raw template ID (e.g. abc123:default).

names
string[]
required

Full names of the snapshot template including team namespace and tag (e.g. team-slug/my-snapshot:v2)